Name:           jbig2dec
Version:        0.19
Release:        4
Summary:        A decoder implementation of the JBIG2 image compression format.

License:        AGPLv3+
URL:            https://jbig2dec.com/
Source0:        https://github.com/ArtifexSoftware/jbig2dec/archive/%{version}.tar.gz

Patch0:         backprot-add-casts-to-silence-a-compiler-warning.patch
Patch1:         backprot-searching-for-a-marker-in-a-stream.patch

BuildRequires:  gcc libtool chrpath
Provides:       %{name}-libs = %{version}-%{release}
Obsoletes:      %{name}-libs < %{version}-%{release}

%description
jbig2dec is a decoder implementation of the JBIG2 image compression format.

%package        devel
Summary:        files for jbig2dec development
Requires:       %{name} = %{version}-%{release}

%description    devel
Files for jbig2dec development.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
./autogen.sh
%configure
%make_build

%check
sed -i '1s/python/python3/' test_jbig2dec.py
make check

%install
%make_install
%delete_la_and_a

# remove rpath
chrpath -d %{buildroot}%{_bindir}/jbig2dec

mkdir -p %{buildroot}/etc/ld.so.conf.d
%ifarch sw_64
echo "/usr/lib" > %{buildroot}/etc/ld.so.conf.d/%{name}-%{_arch}.conf
%else
echo "/usr/lib64" > %{buildroot}/etc/ld.so.conf.d/%{name}-%{_arch}.conf
%endif

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%license COPYING LICENSE
%{_bindir}/jbig2dec
%{_libdir}/libjbig2dec.so.*
%config(noreplace) /etc/ld.so.conf.d/*

%files devel
%defattr(-,root,root)
%{_includedir}/jbig2.h
%{_libdir}/libjbig2dec.so
%{_libdir}/pkgconfig/%{name}.pc

%files help
%defattr(-,root,root)
%doc CHANGES README
%{_mandir}/man1/%{name}.1*

%changelog
* Thu Oct 27 2022 wuzx<wuzx1226@qq.com> - 0.19-4
- Type:feature
- CVE:NA
- SUG:NA
- DESC:Add sw64 architecture

* Thu Mar 31 2022 liuyumeng <liuyumeng5@h-partners.com> - 0.19-3
- enable tests

* Sat Mar 27 2021 dowzyx  <zhaoyuxing2@huawei.com> - 0.19-2
- Type:bufix
- ID:NA
- SUG:NA
- DESC:fix fuzz test from open source community

* Thu Jan 28 2021 zhanzhimin <zhanzhimin@huawei.com> - 0.19-1
- update to 0.19

* Tue Sep 8 2020 hanhui <hanhui15@huawei.com> - 0.18-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:modify source url

* Mon Jun 22 2020 xinghe<xinghe1@huawei.com> - 0.18-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:Update to 0.18

* Wed Feb 26 2020 huzunhao<huzunhao2@huawei.com> - 0.16-3
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:remove rpath and runpath of exec files and libraries

* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.16-2
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:Change the directory of the license file

* Wed Sep 4 2019 openEuler Builteam <buildteam@openeuler.org> - 0.16-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:add requires

* Mon Aug 19 2019 openEuler Builteam <buildteam@openeuler.org> - 0.14-4
- Package init
